Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.nnet.comp
Class ThresholdNeuron

    java.lang.Object
      org.neuroph.core.Neuron
          org.neuroph.nnet.comp.ThresholdNeuron

All Implemented Interfaces:
  java.io.Serializable

    public class ThresholdNeuron

extends Neuron

Provides behaviour for neurons with threshold.

See Also:
  Serialized Form

Field Summary
`protected double` | `thresh` Threshold value for this neuron

Fields inherited from class org.neuroph.core.Neuron
`error, inputConnections, inputFunction, netInput, outConnections, output, parentLayer, transferFunction`

Constructor Summary
`ThresholdNeuron(InputFunction inputFunction, TransferFunction transferFunction)` Creates a neuron with threshold behaviour, and with the specified input and transfer functions.

Method Summary
`void` | `calculate()` Calculates neuron's output
`double` | `getThresh()` Returns threshold value for this neuron
`void` | `setThresh(double thresh)` Sets threshold value for this neuron

Methods inherited from class org.neuroph.core.Neuron
`addInputConnection, addInputConnection, addInputConnection, addOutputConnection, getConnectionFrom, getError, getInputConnections, getInputFunction, getInputsIterator, getNetInput, getOutConnections, getOutput, getParentLayer, getTransferFunction, getWeightsVector, hasInputConnections, initializeWeights, initializeWeights, initializeWeights, randomizeInputWeights, removeInputConnectionFrom, reset, setError, setInput, setInputFunction, setOutput, setParentLayer, setTransferFunction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### thresh

    protected double thresh

  Threshold value for this neuron

Constructor Detail

### ThresholdNeuron

    public ThresholdNeuron(InputFunction inputFunction,
                           TransferFunction transferFunction)

  Creates a neuron with threshold behaviour, and with the specified input and transfer functions.

  Parameters:
    `inputFunction` - input function for this neuron
    `transferFunction` - transfer function for this neuron

Method Detail

### calculate

    public void calculate()

  Calculates neuron's output

  Overrides:
    `calculate` in class `Neuron`

### getThresh

    public double getThresh()

  Returns threshold value for this neuron

  Returns:
    threshold value for this neuron

### setThresh

    public void setThresh(double thresh)

  Sets threshold value for this neuron

  Parameters:
    `thresh` - threshold value for this neuron

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD